#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Digest
%define	pnam	MD5-File
Summary:	Digest::MD5::File - getting MD5 sums for files and URLs
Summary(pl.UTF-8):	Digest::MD5::File - uzyskiwanie sum MD5 dla plików i URL-i
Name:		perl-Digest-MD5-File
Version:	0.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	90daecd725bf77606c192f379aea1ff9
URL:		http://search.cpan.org/dist/Digest-MD5-File/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-libwww
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Get MD5 sums for files of a given path or content of a given URL.

%description -l pl.UTF-8
Ten moduł pozwala uzyskać sumy MD5 dla plików o podanej ścieżce lub
dla zawartości podanego URL-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Digest/MD5
%{perl_vendorlib}/Digest/MD5/*.pm
%{_mandir}/man3/*
%changelog
* Mon Oct 29 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Digest-MD5-File.git;a=log;h=master

* Mon Oct 29 2018 Adam Gołębiowski <adamg@pld-linux.org> 6950b4e
- updated to 0.08

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> b52a93b
- updated to 0.07

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> fc85f8b
- missing dirs; rel 2

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 6f70580
- generic URL
- encoding fix

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 3c7cdd2
- up to 0.06

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5243c65
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d0e014b
- converted to UTF-8

* Sun Oct 08 2006 Jakub Bogusz <qboosh@pld-linux.org> f3e7341
- pl

* Mon Sep 25 2006 radek <radek@pld-linux.org> c362a9f
- new

